Bug 246875 - graphics/opencolorio: replace dependency from python 2.7 to default 3.7
Summary: graphics/opencolorio: replace dependency from python 2.7 to default 3.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-30 18:44 UTC by VVD
Modified: 2020-07-03 04:16 UTC (History)
2 users (show)

See Also:
FreeBSD: maintainer-feedback+


Attachments
Replace dependency from python 2.7 to default 3.7 (470 bytes, patch)
2020-05-30 18:44 UTC, VVD
no flags Details | Diff
Don't force install python 2.7 dependencies if you build without DOCS option (513 bytes, patch)
2020-05-31 12:29 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-05-30 18:44:48 UTC
Created attachment 215070 [details]
Replace dependency from python 2.7 to default 3.7

Tested on 12.1 amd64.
Comment 1 Shane 2020-05-31 03:48:49 UTC
Comment on attachment 215070 [details]
Replace dependency from python 2.7 to default 3.7

Sorry. Yes I want to make this change, but more is needed.

As mentioned at the end of the comments a few lines down from your change, the docs fail using py3.

There is no issue building ocio python modules for py3.x but this section only affects building docs with the master port and still requires 2.7 for now.
Comment 2 VVD 2020-05-31 12:29:56 UTC
Created attachment 215103 [details]
Don't force install python 2.7 dependencies if you build without DOCS option

Tested on 12.1 amd64 with and without DOCS option.
Comment 3 Shane 2020-06-01 05:28:20 UTC
Comment on attachment 215103 [details]
Don't force install python 2.7 dependencies if you build without DOCS option

I get that this will work, but don't think it really makes any difference.

You are welcome to get this change committed.
Comment 4 VVD 2020-06-01 07:00:05 UTC
(In reply to Shane from comment #3)
> but don't think it really makes any difference.
Less unnecessary dependencies installed if you don't need DOCS.
Comment 5 commit-hook freebsd_committer 2020-07-01 13:47:01 UTC
A commit references this bug:

Author: lwhsu
Date: Wed Jul  1 13:46:00 UTC 2020
New revision: 540965
URL: https://svnweb.freebsd.org/changeset/ports/540965

Log:
  Don't force python 2.7 build dependencies when building without DOCS option

  PR:		246875
  Submitted by:	VVD <vvd@unislabs.com>
  Approved by:	Shane <FreeBSD@ShaneWare.Biz> (maintainer)

Changes:
  head/graphics/opencolorio/Makefile